package sun.misc;

import java.util.jar.Attributes;
import java.util.jar.Manifest;
import java.util.List;
import java.util.jar.JarEntry;
import java.util.Enumeration;
import java.security.CodeSource;
import java.net.URL;
import java.io.IOException;
import java.util.jar.JarFile;

public interface JavaUtilJarAccess
{
    public abstract boolean jarFileHasClassPathAttribute(JarFile p0) throws IOException;
    
    public abstract CodeSource[] getCodeSources(JarFile p0, URL p1);
    
    public abstract CodeSource getCodeSource(JarFile p0, URL p1, String p2);
    
    public abstract Enumeration<String> entryNames(JarFile p0, CodeSource[] p1);
    
    public abstract Enumeration<JarEntry> entries2(JarFile p0);
    
    public abstract void setEagerValidation(JarFile p0, boolean p1);
    
    public abstract List<Object> getManifestDigests(JarFile p0);
    
    public abstract Attributes getTrustedAttributes(Manifest p0, String p1);
    
    public abstract void ensureInitialization(JarFile p0);
    
    public abstract boolean isInitializing();
}
